Project

General

Profile

Bug #2295

upgrading to Fedora 27

Added by cpg about 2 years ago. Updated about 2 years ago.

Status:
Assigned
Priority:
Normal
Assignee:
Category:
-
Target version:
-
Start date:
11/26/2017
Due date:
% Done:

0%


Description

everything looked good on my HDA (which was based on F26 already), when i tried to upgrade to F27,

dnf --refresh upgrade
dnf install dnf-plugin-system-upgrade
dnf system-upgrade download --releasever=27

when

The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /var/lib/samba/drivers from install of samba-2:4.7.1-0.fc27.x86_64 conflicts with file from package hda-platform-10.2.1-1.x86_64

Error Summary
-------------

looking into it ..

History

#1 Updated by cpg about 2 years ago

  • Description updated (diff)

#2 Updated by cpg about 2 years ago

I did not uninstall apps. Should probably have uninstalled the most

Update worked after two hours of work (i5 with plenty of memory) and :

  • new hda-platform with samba conflicts fixed
  • removing some conflicting rpms with rpm -e, from system apps: zmrepo
  • removing some conflicting rpms with rpm -e, from system stuff (I would think these would be common in users systems): openlmi-software, ceph-libs-compat, libcephfs1
Status of things working:
  • network came up without trouble out of the gate
  • samba working out of the gate
  • DNS/DHCP came up perfectly out of the gate
Status of things broken:
  • netatalk did not start (I still had Amahi Time Machine from F25)
  • httpd did not start with two apps failing with a error on PHP apps, indicating php_flag is not working:
    Invalid command 'php_flag', perhaps misspelled or defined by a module not included in the server configuration
  • after removing the conflicting /etc/httpd/.cond.d/*.conf files, httpd started ok
  • however, the platform did not come up, showing an error "We're sorry, but something went wrong."

#3 Updated by cpg about 2 years ago

apps that work so far (without reinstalling): phpsysinfo, sabnzbplus, sickbeard, transmission

#4 Updated by cpg about 2 years ago

ok, hda-platform-10.4.0 is in th f27 repo and makes the platform come up. tried a couple of small things and it seems to work ok. baby steps.

#5 Updated by cpg about 2 years ago

amahi-sync has been updated and it's in the repo, working well.

amahi-anywhere is working well and has been updated as well for the latest OS libraries.

Also available in: Atom